class CategoriaModel {
  CategoriaModel({
    this.result,
    this.response,
    this.message,
  });

  Result? result;
  bool? response;
  String? message;

  factory CategoriaModel.fromJson(Map<String, dynamic> json) => CategoriaModel(
    result: Result.fromJson(json["result"]),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": result!.toJson(),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    this.idca,
    this.idse,
    this.cate,
    this.acti,
    this.idim,
    this.uscr,
    this.fecr,
    this.usmo,
    this.femo,
    this.orde,
  });

  String? idca;
  String? idse;
  String? cate;
  String? acti;
  String? idim;
  String? uscr;
  String? fecr;
  dynamic usmo;
  dynamic femo;
  String? orde;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    idca: json["IDCA"],
    idse: json["IDSE"],
    cate: json["CATE"],
    acti: json["ACTI"],
    idim: json["IDIM"],
    uscr: json["USCR"],
    fecr: json["FECR"],
    usmo: json["USMO"],
    femo: json["FEMO"],
    orde: json["ORDE"],
  );

  Map<String, dynamic> toJson() => {
    "IDCA": idca,
    "IDSE": idse,
    "CATE": cate,
    "ACTI": acti,
    "IDIM": idim,
    "USCR": uscr,
    "FECR": fecr,
    "USMO": usmo,
    "FEMO": femo,
    "ORDE": orde,
  };
}